EDIT - bug #6975

improve preferred media calculation algorithm in cdmlib
09/22/2017 02:52 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

as stated in #6969#node_7 the algorithm to calculate the preferred media representation should prefer bigger image over smaller
once. Up scaling smaller images always cause a clearly visible loss in quality.

The algorithm currently calculates the difference of the products of width and height of the desired image dimensions with the actual
dimensions.

Negative differences could be multiplied with a factor (fixed, calculated from the preferred extend?) to clearly prefer bigger images
over smaller ones.

This improved algorithm should implemented for the dataportal in the same way where a similar method exists.

Related issues:

Copied from EDIT - bug #6969: Use media representation which best fits the av... Closed
Copied to EDIT - bug #6976: improve preferred media calculation algorithm in ... New
History

#1 - 09/22/2017 02:52 PM - Andreas Kohlbecker

- Copied from bug #6969: Use media representation which best fits the available size for taxon profile picture added

#2 - 09/22/2017 02:54 PM - Andreas Kohlbecker

- Copied to bug #6976: improve preferred media calculation algorithm in dataportal added

#3 - 09/22/2017 03:22 PM - Andreas Kohlbecker
- Subject changed from improve preferred media calculation algorithm to improve preferred media calculation algorithm in cdmlib

- Category changed from cdm-dataportal to cdmlib

#4 - 09/22/2017 03:22 PM - Andreas Kohlbecker

- Description updated

#5 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#6 - 12/05/2017 02:12 PM - Andreas Miller

- Target version changed from Release 4.12 to Release 4.13

#7 - 01/31/2018 12:12 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#8 - 02/15/2018 03:00 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#9 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#10 - 06/28/2018 12:19 AM - Andreas Miiller
- Target version changed from Release 5.1 to Release 5.2

#11 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#12 - 09/06/2018 11:17 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#13 - 10/23/2018 01:50 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#14 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#15 - 02/22/2019 05:32 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Unassigned CDM tickets
